CREATE TABLE asm_compare_request_sources (
    COMPARE_REQ_SOURCE_ID    NUMBER(18, 0),
    REQ_ID                   NUMBER(18, 0)    NOT NULL,
    SOURCE_NUM               NUMBER(1, 0)     NOT NULL,
    SOURCE_TYPE              VARCHAR2(120)    NOT NULL,
    SOURCE_OBJECT_TYPE       VARCHAR2(120)    NOT NULL,
    SOURCE_OBJECT_NAME       VARCHAR2(960)    NOT NULL,
    MIG_REQUEST_ID           NUMBER(18, 0),
    STAGE_XML_REQUEST_ID     NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    COMPARE_REQ_SOURCE_ID    NUMBER(18, 0),
    REQ_ID                   NUMBER(18, 0)    NOT NULL,
    SOURCE_NUM               NUMBER(1, 0)     NOT NULL,
    SOURCE_TYPE              VARCHAR2(120)    NOT NULL,
    SOURCE_OBJECT_TYPE       VARCHAR2(120)    NOT NULL,
    SOURCE_OBJECT_NAME       VARCHAR2(960)    NOT NULL,
    MIG_REQUEST_ID           NUMBER(18, 0),
    STAGE_XML_REQUEST_ID     NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_asm_compare_request_sources PRIMARY KEY (COMPARE_REQ_SOURCE_ID, COMPARE_REQ_SOURCE_ID)
);
